Package com.orchestranetworks.interactions

# Class InteractionHelper

java.lang.Object
com.orchestranetworks.interactions.InteractionHelper

public final class InteractionHelper extends Object
This class provides methods for implementing a user service that has been declared as an interaction.

Note: The methods of this class were deprecated in version 5.2.7, having been replaced by methods in the class `SessionInteraction`.

See Also:
  - `com.orchestranetworks.workflow`
  - Parameters declaration and availability in workflows and perspectives

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `InteractionHelper.ParametersMap`
  Defines the parameters of an interaction, either the input, output or internal parameters.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InteractionHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `complete(InteractionHelper.ParametersMap outputParameters, Session aSession)`
  Deprecated.
  Replaced by `SessionInteraction.complete(com.orchestranetworks.interactions.InteractionHelper.ParametersMap)`.
  `static InteractionHelper.ParametersMap`
  `getInputParameters(Session aSession)`
  Deprecated.
  Replaced by `SessionInteraction.getInputParameters()`.
  `static InteractionHelper.ParametersMap`
  `getInternalParameters(Session aSession)`
  Deprecated.
  Replaced by `SessionInteraction.getInternalParameters()`.
  `static boolean`
  `isComplete(Session aSession)`
  Deprecated.
  Replaced by `SessionInteraction.isComplete()`.
  `static void`
  `setInternalParameters(InteractionHelper.ParametersMap internalParameters, Session aSession)`
  Deprecated.
  Replaced by `SessionInteraction.setInternalParameters(com.orchestranetworks.interactions.InteractionHelper.ParametersMap)`.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InteractionHelper

    public InteractionHelper()

- ## Method Details

  - ### getInputParameters

    @Deprecated public static InteractionHelper.ParametersMap getInputParameters(Session aSession) throws InteractionException
    Deprecated.
    Replaced by `SessionInteraction.getInputParameters()`.
    Throws:
      `InteractionException`

  - ### getInternalParameters

    @Deprecated public static InteractionHelper.ParametersMap getInternalParameters(Session aSession) throws InteractionException
    Deprecated.
    Replaced by `SessionInteraction.getInternalParameters()`.
    Throws:
      `InteractionException`

  - ### setInternalParameters

    @Deprecated public static void setInternalParameters(InteractionHelper.ParametersMap internalParameters, Session aSession) throws InteractionException
    Deprecated.
    Replaced by `SessionInteraction.setInternalParameters(com.orchestranetworks.interactions.InteractionHelper.ParametersMap)`.
    Throws:
      `InteractionException`

  - ### complete

    @Deprecated public static void complete(InteractionHelper.ParametersMap outputParameters, Session aSession) throws InteractionException
    Deprecated.
    Replaced by `SessionInteraction.complete(com.orchestranetworks.interactions.InteractionHelper.ParametersMap)`.
    Throws:
      `InteractionException`

  - ### isComplete

    @Deprecated public static boolean isComplete(Session aSession) throws InteractionException
    Deprecated.
    Replaced by `SessionInteraction.isComplete()`.
    Throws:
      `InteractionException`